Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGPaint

All Superinterfaces:
  CSSValue, SVGColor

public interface SVGPaint
extends SVGColor

Field Summary
`static short` | `SVG_PAINTTYPE_CURRENTCOLOR`
`static short` | `SVG_PAINTTYPE_NONE`
`static short` | `SVG_PAINTTYPE_RGBCOLOR`
`static short` | `SVG_PAINTTYPE_RGBCOLOR_ICCCOLOR`
`static short` | `SVG_PAINTTYPE_UNKNOWN`
`static short` | `SVG_PAINTTYPE_URI`
`static short` | `SVG_PAINTTYPE_URI_CURRENTCOLOR`
`static short` | `SVG_PAINTTYPE_URI_NONE`
`static short` | `SVG_PAINTTYPE_URI_RGBCOLOR`
`static short` | `SVG_PAINTTYPE_URI_RGBCOLOR_ICCCOLOR`

Fields inherited from interface org.w3c.dom.svg.SVGColor
`SVG_COLORTYPE_CURRENTCOLOR, SVG_COLORTYPE_RGBCOLOR, SVG_COLORTYPE_RGBCOLOR_ICCCOLOR, SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Method Summary
`short` | `getPaintType()`
`java.lang.String` | `getUri()`
`void` | `setPaint(short paintType, java.lang.String uri, java.lang.String rgbColor, java.lang.String iccColor)`
`void` | `setUri(java.lang.String uri)`

Methods inherited from interface org.w3c.dom.svg.SVGColor
`getColorType, getICCColor, getRGBColor, setColor, setRGBColor, setRGBColorICCColor`

Methods inherited from interface org.w3c.dom.css.CSSValue
`getCssText, getCssValueType, setCssText`

Field Detail

### SVG_PAINTTYPE_UNKNOWN

    public static final short SVG_PAINTTYPE_UNKNOWN

### SVG_PAINTTYPE_RGBCOLOR

    public static final short SVG_PAINTTYPE_RGBCOLOR

### SVG_PAINTTYPE_RGBCOLOR_ICCCOLOR

    public static final short SVG_PAINTTYPE_RGBCOLOR_ICCCOLOR

### SVG_PAINTTYPE_NONE

    public static final short SVG_PAINTTYPE_NONE

### SVG_PAINTTYPE_CURRENTCOLOR

    public static final short SVG_PAINTTYPE_CURRENTCOLOR

### SVG_PAINTTYPE_URI_NONE

    public static final short SVG_PAINTTYPE_URI_NONE

### SVG_PAINTTYPE_URI_CURRENTCOLOR

    public static final short SVG_PAINTTYPE_URI_CURRENTCOLOR

### SVG_PAINTTYPE_URI_RGBCOLOR

    public static final short SVG_PAINTTYPE_URI_RGBCOLOR

### SVG_PAINTTYPE_URI_RGBCOLOR_ICCCOLOR

    public static final short SVG_PAINTTYPE_URI_RGBCOLOR_ICCCOLOR

### SVG_PAINTTYPE_URI

    public static final short SVG_PAINTTYPE_URI

Method Detail

### getPaintType

    public short getPaintType()

### getUri

    public java.lang.String getUri()

### setUri

    public void setUri(java.lang.String uri)

### setPaint

    public void setPaint(short paintType,
                         java.lang.String uri,
                         java.lang.String rgbColor,
                         java.lang.String iccColor)
                  throws SVGException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD